Package org.wildfly.plugin.common

## Class Utils

- java.lang.Object
- - org.wildfly.plugin.common.Utils

-     public class Utils
      extends Object

  A simple utility class.
  Author:
    James R. Perkins

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `WILDFLY_DEFAULT_DIR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Utils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isNotNullOrEmpty​(CharSequence seq)` | Tests if the character sequence is not `null` and not empty.
    `static boolean` | `isNotNullOrEmpty​(Object[] array)` | Tests if the arrays is not `null` and not empty.
    `static org.wildfly.glow.ScanResults` | `scanDeployment​(GlowConfig discoverProvisioningInfo, List<String> layers, List<String> excludedLayers, List<org.jboss.galleon.api.GalleonFeaturePack> featurePacks, boolean dryRun, org.apache.maven.plugin.logging.Log log, Path deploymentContent, org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver, Path outputFolder, org.jboss.galleon.api.GalleonBuilder pm, Map<String,​String> galleonOptions, String layersConfigurationFileName)` |
    `static List<String>` | `splitArguments​(CharSequence arguments)` | Splits the arguments into a list.
    `static String` | `toString​(Iterable<?> iterable, CharSequence delimiter)` | Converts an iterable to a delimited string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WILDFLY_DEFAULT_DIR

          public static final String WILDFLY_DEFAULT_DIR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Utils

          public Utils()

  - ### Method Detail

    - #### isNotNullOrEmpty

          public static boolean isNotNullOrEmpty​(CharSequence seq)

      Tests if the character sequence is not `null` and not empty.
      Parameters:
        `seq` - the character sequence to test
      Returns:
        `true` if the character sequence is not `null` and not empty

    - #### isNotNullOrEmpty

          public static boolean isNotNullOrEmpty​(Object[] array)

      Tests if the arrays is not `null` and not empty.
      Parameters:
        `array` - the array to test
      Returns:
        `true` if the array is not `null` and not empty

    - #### toString

          public static String toString​(Iterable<?> iterable,
                                        CharSequence delimiter)

      Converts an iterable to a delimited string.
      Parameters:
        `iterable` - the iterable to convert
        `delimiter` - the delimiter
      Returns:
        a delimited string of the iterable

    - #### splitArguments

          public static List<String> splitArguments​(CharSequence arguments)

      Splits the arguments into a list. The arguments are split based on whitespace while ignoring whitespace that is within quotes.
      Parameters:
        `arguments` - the arguments to split
      Returns:
        the list of the arguments

    - #### scanDeployment

          public static org.wildfly.glow.ScanResults scanDeployment​(GlowConfig discoverProvisioningInfo,
                                                                    List<String> layers,
                                                                    List<String> excludedLayers,
                                                                    List<org.jboss.galleon.api.GalleonFeaturePack> featurePacks,
                                                                    boolean dryRun,
                                                                    org.apache.maven.plugin.logging.Log log,
                                                                    Path deploymentContent,
                                                                    org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver,
                                                                    Path outputFolder,
                                                                    org.jboss.galleon.api.GalleonBuilder pm,
                                                                    Map<String,​String> galleonOptions,
                                                                    String layersConfigurationFileName)
                                                             throws Exception

      Throws:
        `Exception`